Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gdal.gdal
Class DataTypeEnum

    java.lang.Object
      org.gdal.gdal.DataTypeEnum

    public final class DataTypeEnum

extends Object

Field Summary
`static DataTypeEnum` | `GDT_Byte`
`static DataTypeEnum` | `GDT_CFloat32`
`static DataTypeEnum` | `GDT_CFloat64`
`static DataTypeEnum` | `GDT_CInt16`
`static DataTypeEnum` | `GDT_CInt32`
`static DataTypeEnum` | `GDT_Float32`
`static DataTypeEnum` | `GDT_Float64`
`static DataTypeEnum` | `GDT_Int16`
`static DataTypeEnum` | `GDT_Int32`
`static DataTypeEnum` | `GDT_UInt16`
`static DataTypeEnum` | `GDT_UInt32`

Method Summary
`static DataTypeEnum` | `swigToEnum(int swigValue)`
`int` | `swigValue()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GDT_Byte

    public static final DataTypeEnum GDT_Byte

### GDT_UInt16

    public static final DataTypeEnum GDT_UInt16

### GDT_Int16

    public static final DataTypeEnum GDT_Int16

### GDT_UInt32

    public static final DataTypeEnum GDT_UInt32

### GDT_Int32

    public static final DataTypeEnum GDT_Int32

### GDT_Float32

    public static final DataTypeEnum GDT_Float32

### GDT_Float64

    public static final DataTypeEnum GDT_Float64

### GDT_CInt16

    public static final DataTypeEnum GDT_CInt16

### GDT_CInt32

    public static final DataTypeEnum GDT_CInt32

### GDT_CFloat32

    public static final DataTypeEnum GDT_CFloat32

### GDT_CFloat64

    public static final DataTypeEnum GDT_CFloat64

Method Detail

### swigValue

    public final int swigValue()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### swigToEnum

    public static DataTypeEnum swigToEnum(int swigValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD